Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.testing
Class RawScribeRegrTest.TestRouteMessage

    java.lang.Object
      rice.p2p.scribe.testing.RawScribeRegrTest.TestRouteMessage

All Implemented Interfaces:
  java.io.Serializable, RouteMessage

Enclosing class:
  RawScribeRegrTest

    protected static class RawScribeRegrTest.TestRouteMessage

extends java.lang.Object
implements RouteMessage

Utility class which simulates a route message

Version:
  $Id: ScribeRegrTest.java 3157 2006-03-19 12:16:58Z jeffh $
Author:
  amislove
See Also:
  Serialized Form

Constructor Summary
`RawScribeRegrTest.TestRouteMessage(Id id, NodeHandle nextHop, Message message)` Constructor for TestRouteMessage.

Method Summary
`Id` | `getDestinationId()` Gets the DestinationId attribute of the TestRouteMessage object
`Message` | `getMessage()` Deprecated.
`Message` | `getMessage(MessageDeserializer md)`
`NodeHandle` | `getNextHopHandle()` Gets the NextHopHandle attribute of the TestRouteMessage object
`void` | `setDestinationId(Id id)` Sets the DestinationId attribute of the TestRouteMessage object
`void` | `setMessage(Message message)` Sets the Message attribute of the TestRouteMessage object
`void` | `setMessage(RawMessage message)` Sets the internal message for this message Does the same as setMessage(Message) but with better performance, because it doesn't have to introspect if the message is a RawMessage
`void` | `setNextHopHandle(NodeHandle nextHop)` Sets the NextHopHandle attribute of the TestRouteMessage object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawScribeRegrTest.TestRouteMessage

    public RawScribeRegrTest.TestRouteMessage(Id id,
                                              NodeHandle nextHop,
                                              Message message)

  Constructor for TestRouteMessage.

  Parameters:
    `id` - DESCRIBE THE PARAMETER
    `nextHop` - DESCRIBE THE PARAMETER
    `message` - DESCRIBE THE PARAMETER

Method Detail

### getDestinationId

    public Id getDestinationId()

  Gets the DestinationId attribute of the TestRouteMessage object

  Specified by:
    `getDestinationId` in interface `RouteMessage`
  Returns:
    The DestinationId value

### getNextHopHandle

    public NodeHandle getNextHopHandle()

  Gets the NextHopHandle attribute of the TestRouteMessage object

  Specified by:
    `getNextHopHandle` in interface `RouteMessage`
  Returns:
    The NextHopHandle value

### getMessage

    public Message getMessage()

  Deprecated.

  Gets the Message attribute of the TestRouteMessage object

  Specified by:
    `getMessage` in interface `RouteMessage`
  Returns:
    The Message value

### getMessage

    public Message getMessage(MessageDeserializer md)

  Specified by:
    `getMessage` in interface `RouteMessage`

### setDestinationId

    public void setDestinationId(Id id)

  Sets the DestinationId attribute of the TestRouteMessage object

  Specified by:
    `setDestinationId` in interface `RouteMessage`
  Parameters:
    `id` - The new DestinationId value

### setNextHopHandle

    public void setNextHopHandle(NodeHandle nextHop)

  Sets the NextHopHandle attribute of the TestRouteMessage object

  Specified by:
    `setNextHopHandle` in interface `RouteMessage`
  Parameters:
    `nextHop` - The new NextHopHandle value

### setMessage

    public void setMessage(Message message)

  Sets the Message attribute of the TestRouteMessage object

  Specified by:
    `setMessage` in interface `RouteMessage`
  Parameters:
    `message` - The new Message value

### setMessage

    public void setMessage(RawMessage message)

  Description copied from interface: `RouteMessage`
  Sets the internal message for this message Does the same as setMessage(Message) but with better performance, because it doesn't have to introspect if the message is a RawMessage

  Specified by:
    `setMessage` in interface `RouteMessage`
  Parameters:
    `message` - The internal message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.